=== debian/changelog ===
moon (2.2-0ubuntu1) lucid; urgency=low

  * New upstream release
  * debian/control:
    + Bump to Standards 3.8.4
    + Remove dpatch build-dep
    + We now only work on Mono arches, so use the list of Mono arches rather
      than Arch:any
    + Recommend on browsers rather than depending on them
  * debian/control,
    debian/libmoonlight-*.install:
    + Create new packages for Moonlight system assemblies (e.g. for desktop
      apps to embed Moonlight content)
  * debian/control,
    debian/moonlight-desktop-devel.install:
    + Create new package with pcfiles for moonlight desktop app compilation
  * debian/control,
    debian/moonlight-web-devel.install:
    + Create new package for Moonlight SDK
  * debian/rules:
    + Rewrite, port to fully DH7 format
  * debian/rules,
    debian/control:
    + Build only a bridge for Xulrunner 1.9.2 for now
  * debian/monodoc-moonlight-manual.install:
    + Create manual package for GTK# widget assembly

 -- Jo Shields <directhex@apebox.org>  Tue, 09 Mar 2010 15:21:48 +0000

moon (1.0.1-3) unstable; urgency=low

  * debian/control:
    + Tweak formatting (Thanks to Gerfried Fuchs)
  * debian/patches/moon_fix_gdk_pointer_size.dpatch:
    + Minor fix from Moonlight trunk to fix browser crashes with fullscreen
      controls on 64-bit platforms such as amd64, caused by missing GDK
      definitions. Thanks to Rolf Kvinge, Chris Toshok and Geoff Norton.

 -- Jo Shields <directhex@apebox.org>  Wed, 22 Apr 2009 21:43:55 +0100

moon (1.0.1-2) unstable; urgency=low

  * Build using xulrunner-dev only, not xulrunner-1.9-dev | xulrunner-dev,
    as Debian buildds won't cope with the piped build-depend

 -- Jo Shields <directhex@apebox.org>  Wed, 11 Mar 2009 09:49:12 +0000

moon (1.0.1-1) unstable; urgency=low

  * New upstream release
  * debian/copyright:
    + Updated copyright year.

 -- Jo Shields <directhex@apebox.org>  Wed, 11 Mar 2009 00:53:34 +0000

moon (1.0~beta1-1) unstable; urgency=low

  [ Jo Shields ]
  * Initial packaging (Closes: #501190)
    + Split plugin package from bridge package
    + Fresh debian/rules file, with some sections based on
      debian-multimedia (no ccache et al)
    + More liberal dependencies, depend on underlying Xulrunner rather
      than specific Iceweasel
    + Tighten inter-package dependencies to make it more NMU-safe
    + Make more distro-agnostic use of dh_link, to help Ubuntu
  * debian/rules,
    debian/patches/moon_dont_bail_on_unknown_arches.diff:
    + Patch configure.ac and re-autoconf to ensure arches other than 
      i386 and amd64 compile fine (LP: #330917)

  [ Christian Marillat ]
  * Initial packaging.
    + Due to overlapping work, the following files were used in part or 
      used for reference, and modified where appropriate:
      - debian/rules
      - debian/control
      - debian/copyright

  [ Mirco Bauer ]
  * debian/copyright:
    + Reviewed copyright and licenses of the complete source code and updated
      where needed.

  [ Stefan Ebner ]
  * debian/rules: Replace deprecated dh_clean -k with dh_prep
    to make lintian happy

 -- Mirco Bauer <meebey@debian.org>  Tue, 10 Mar 2009 22:25:06 +0100
