=== debian/watch ===
version=3
opts=uversionmangle=s/([.\d]+)b/$1~beta/ \
 http://ftp.novell.com/pub/mono/sources/moon/(\d.\d)/moonlight-([\.\d]+)\.tar\.bz2
